cs_c_bindings Module Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Types | Public Member Functions | Data Fields
cs_c_bindings Module Reference
Collaboration diagram for cs_c_bindings:

## Data Types
interface | log_iteration
| Log field and other array statistics for a given time step. More...
type | var_cal_opt

## Public Member Functions
subroutine | field_set_key_struct_var_cal_opt (f_id, k_value)
| Assign a var_cal_opt for a cs_var_cal_opt_t key to a field. More...
subroutine | field_get_key_struct_var_cal_opt (f_id, k_value)
| Return a pointer to the var_cal_opt structure for cs_var_cal_opt key associated with a field. More...
subroutine | log_iteration_add_array (name, category, location, is_intensive, dim, val)
| Add array not saved as permanent field to logging of fields. More...
subroutine | log_iteration_clipping (name, dim, n_clip_min, n_clip_max, min_pre_clip, max_pre_clip)
| Add array not saved as permanent field to logging of fields. More...
subroutine | log_iteration_clipping_field (f_id, n_clip_min, n_clip_max, min_pre_clip, max_pre_clip)
| Add array not saved as permanent field to logging of fields. More...
subroutine | restart_read_int_t_compat (f_num, sec_name, old_name, location_id, n_loc_vals, val, ierror)
| Read a section of integers from a restart file, when that section may have used a different name in a previous version. More...
subroutine | restart_read_real_t_compat (f_num, sec_name, old_name, location_id, n_loc_vals, val, ierror)
| Read a section of double precision reals from a restart file, when that section may have used a different name in a previous version. More...
subroutine | restart_read_real_3_t_compat (f_num, sec_name, old_name_x, old_name_y, old_name_z, location_id, val, ierror)
| Read a vector of double precision reals of dimension (3,*) from a restart file, when that section may have used a different name and been non-interleaved in a previous version. More...
subroutine | restart_read_bc_coeffs (f_num)
| Read boundary condition coefficients for all fields from checkpoint. More...
subroutine | restart_write_bc_coeffs (f_num)
| Write boundary condition coefficients for all fields to checkpoint. More...

## Data Fields
integer | mesh_location_none
integer | mesh_location_cells
integer | mesh_location_interior_faces
integer | mesh_location_boundary_faces
integer | mesh_location_vertices
integer | mesh_location_particles
integer | mesh_location_other

## Member Function/Subroutine Documentation

subroutine field_get_key_struct_var_cal_opt | ( | integer, intent(in) | f_id,
|  | type(var_cal_opt), intent(inout), target | k_value
| ) |  |

Return a pointer to the var_cal_opt structure for cs_var_cal_opt key associated with a field.

If the field category is not compatible, a fatal error is provoked.

Parameters

  [in] | f_id | field id
  [out] | k_value | integer value associated with key id for this field

subroutine field_set_key_struct_var_cal_opt | ( | integer, intent(in) | f_id,
|  | type(var_cal_opt), intent(in), target | k_value
| ) |  |

Assign a var_cal_opt for a cs_var_cal_opt_t key to a field.

If the field category is not compatible, a fatal error is provoked.

Parameters

  [in] | f_id | field id
  [in] | k_value | structure associated with key

subroutine log_iteration_add_array | ( | character(len=*), intent(in) | name,
|  | character(len=*), intent(in) | category,
|  | integer, intent(in) | location,
|  | logical, intent(in) | is_intensive,
|  | integer, intent(in) | dim,
|  | real(kind=c_double), dimension(*) | val
| ) |  |

Add array not saved as permanent field to logging of fields.

Parameters

  [in] | name | array name
  [in] | category | category name
  [in] | location | associated mesh location
  [in] | is_intensive | associated mesh location
  [in] | dim | associated dimension (interleaved)
  [in] | val | associated values

subroutine log_iteration_clipping | ( | character(len=*), intent(in) | name,
|  | integer, intent(in) | dim,
|  | integer, intent(in) | n_clip_min,
|  | integer, intent(in) | n_clip_max,
|  | real(kind=c_double), dimension(*) | min_pre_clip,
|  | real(kind=c_double), dimension(*) | max_pre_clip
| ) |  |

Add array not saved as permanent field to logging of fields.

Parameters

  [in] | name | array name
  [in] | dim | associated dimension (interleaved)
  [in] | n_clip_min | local number of clipped to min values
  [in] | n_clip_max | local number of clipped to max values
  [in] | min_pre_clip | min local value prior to clip
  [in] | max_pre_clip | max local value prior to clip

subroutine log_iteration_clipping_field | ( | integer, intent(in) | f_id,
|  | integer, intent(in) | n_clip_min,
|  | integer, intent(in) | n_clip_max,
|  | real(kind=c_double), dimension(*) | min_pre_clip,
|  | real(kind=c_double), dimension(*) | max_pre_clip
| ) |  |

Add array not saved as permanent field to logging of fields.

Parameters

  [in] | f_id | associated dimension (interleaved)
  [in] | n_clip_min | local number of clipped to min values
  [in] | n_clip_max | local number of clipped to max values
  [in] | min_pre_clip | min local value prior to clip
  [in] | max_pre_clip | max local value prior to clip

subroutine restart_read_bc_coeffs | ( | integer, intent(in) | f_num | ) |

Read boundary condition coefficients for all fields from checkpoint.

Parameters

  [in] | f_num | restart file number

subroutine restart_read_int_t_compat | ( | integer, intent(in) | f_num,
|  | character(len=*), intent(in) | sec_name,
|  | character(len=*), intent(in) | old_name,
|  | integer, intent(in) | location_id,
|  | integer, intent(in) | n_loc_vals,
|  | integer, dimension(*) | val,
|  | integer, intent(out) | ierror
| ) |  |

Read a section of integers from a restart file, when that section may have used a different name in a previous version.

Parameters

  [in] | f_num | restart file number
  [in] | sec_name | name of section
  [in] | old_name | old name of section
  [in] | location_id | id of associated mesh location
  [in] | n_loc_vals | number of valeus per location
  [out] | val | min local value prior to clip
  [out] | ierror | 0: success, < 0: error code

subroutine restart_read_real_3_t_compat | ( | integer, intent(in) | f_num,
|  | character(len=*), intent(in) | sec_name,
|  | character(len=*), intent(in) | old_name_x,
|  | character(len=*), intent(in) | old_name_y,
|  | character(len=*), intent(in) | old_name_z,
|  | integer, intent(in) | location_id,
|  | real(kind=c_double), dimension(*) | val,
|  | integer, intent(out) | ierror
| ) |  |

Read a vector of double precision reals of dimension (3,*) from a restart file, when that section may have used a different name and been non-interleaved in a previous version.

Parameters

  [in] | f_num | restart file number
  [in] | sec_name | name of section
  [in] | old_name_x | old name of component x of section
  [in] | old_name_y | old name of component y of section
  [in] | old_name_z | old name of component z of section
  [in] | location_id | id of associated mesh location
  [out] | val | min local value prior to clip
  [out] | ierror | 0: success, < 0: error code

subroutine restart_read_real_t_compat | ( | integer, intent(in) | f_num,
|  | character(len=*), intent(in) | sec_name,
|  | character(len=*), intent(in) | old_name,
|  | integer, intent(in) | location_id,
|  | integer, intent(in) | n_loc_vals,
|  | real(kind=c_double), dimension(*) | val,
|  | integer, intent(out) | ierror
| ) |  |

Read a section of double precision reals from a restart file, when that section may have used a different name in a previous version.

Parameters

  [in] | f_num | restart file number
  [in] | sec_name | name of section
  [in] | old_name | old name of section
  [in] | location_id | id of associated mesh location
  [in] | n_loc_vals | number of valeus per location
  [out] | val | min local value prior to clip
  [out] | ierror | 0: success, < 0: error code

subroutine restart_write_bc_coeffs | ( | integer, intent(in) | f_num | ) |

Write boundary condition coefficients for all fields to checkpoint.

Parameters

  [in] | f_num | restart file number

## Field Documentation

integer mesh_location_boundary_faces

integer mesh_location_cells

integer mesh_location_interior_faces

integer mesh_location_none

integer mesh_location_other

integer mesh_location_particles

integer mesh_location_vertices

The documentation for this module was generated from the following file:

- src/base/cs_c_bindings.f90